Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.mbeans
Class GlobalResourcesLifecycleListener

    java.lang.Object
      org.apache.catalina.mbeans.GlobalResourcesLifecycleListener

All Implemented Interfaces:
  LifecycleListener

public class GlobalResourcesLifecycleListener
extends java.lang.Object
implements LifecycleListener

Implementation of `LifecycleListener` that instantiates the set of MBeans associated with global JNDI resources that are subject to management.

Since:
  4.1
Version:
  $Revision: 1.5 $ $Date: 2004/06/09 20:38:16 $
Author:
  Craig R. McClanahan

Field Summary
`protected Lifecycle` | `component` The owning Catalina component that we are attached to.
`protected int` | `debug` The debugging detail level for this component.
`protected static org.apache.commons.modeler.Registry` | `registry` The configuration information registry for our managed beans.

Constructor Summary
`GlobalResourcesLifecycleListener()`

Method Summary
`protected void` | `createMBeans()` Create the MBeans for the interesting global JNDI resources.
`protected void` | `createMBeans(java.lang.String prefix, javax.naming.Context context)` Create the MBeans for the interesting global JNDI resources in the specified naming context.
`protected void` | `createMBeans(java.lang.String name, UserDatabase database)` Create the MBeans for the specified UserDatabase and its contents.
`protected void` | `destroyMBeans()` Destroy the MBeans for the interesting global JNDI resources.
`int` | `getDebug()`
`void` | `lifecycleEvent(LifecycleEvent event)` Primary entry point for startup and shutdown events.
`protected void` | `log(java.lang.String message)` Log a message.
`protected void` | `log(java.lang.String message, java.lang.Throwable throwable)` Log a message and associated exception.
`void` | `setDebug(int debug)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### component

    protected Lifecycle component

  The owning Catalina component that we are attached to.

### registry

    protected static org.apache.commons.modeler.Registry registry

  The configuration information registry for our managed beans.

### debug

    protected int debug

  The debugging detail level for this component.

Constructor Detail

### GlobalResourcesLifecycleListener

    public GlobalResourcesLifecycleListener()

Method Detail

### getDebug

    public int getDebug()

### setDebug

    public void setDebug(int debug)

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Primary entry point for startup and shutdown events.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - The event that has occurred

### createMBeans

    protected void createMBeans()

  Create the MBeans for the interesting global JNDI resources.

### createMBeans

    protected void createMBeans(java.lang.String prefix,
                                javax.naming.Context context)
                         throws javax.naming.NamingException

  Create the MBeans for the interesting global JNDI resources in the specified naming context.

  Parameters:
    `prefix` - Prefix for complete object name paths
    `context` - Context to be scanned
  Throws:
    `javax.naming.NamingException` - if a JNDI exception occurs

### createMBeans

    protected void createMBeans(java.lang.String name,
                                UserDatabase database)
                         throws java.lang.Exception

  Create the MBeans for the specified UserDatabase and its contents.

  Parameters:
    `name` - Complete resource name of this UserDatabase
    `database` - The UserDatabase to be processed
  Throws:
    `java.lang.Exception` - if an exception occurs while creating MBeans

### destroyMBeans

    protected void destroyMBeans()

  Destroy the MBeans for the interesting global JNDI resources.

### log

    protected void log(java.lang.String message)

  Log a message.

  Parameters:
    `message` - The message to be logged

### log

    protected void log(java.lang.String message,
                       java.lang.Throwable throwable)

  Log a message and associated exception.

  Parameters:
    `message` - The message to be logged
    `throwable` - The exception to be logged

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.